getComponents {gene2pathway} | R Documentation

## KEGG pathway information

### Description

1. get connected pathway components; 2. get all elements of a given pathway; 3. color certain elements in a pathway.

### Usage

    getComponents(pathway.id)

    get.elements.by.pathway(pathway.id)

    color.pathway.by.elements(pathway.id, elements)

### Arguments

`pathway.id` | KEGG pathway ID, e.g. "path:hsa04012"
`elements` | KEGG element IDs: character vector of numbers

### Details

All functions use the KEGG SOAP service.

### Value

getComponents: a list with the entries

`geneIDs` | Entrez gene IDs mapping to each pathway component
`elemIDs` | KEGG element IDs mapping to each pathway component

get.elements.by.pathway: list, see <URL http://www.genome.jp/kegg/soap/doc/keggapi_manual.html> for details
color.pathway.by.elements: an URL of a colored gif file, see <URL http://www.genome.jp/kegg/soap/doc/keggapi_manual.html> for details

### Author(s)

Holger Froehlich

### Examples

    ## Not run:
      comp = getComponents("path:hsa04020") # get all connected components
      color.pathway.by.elements("path:hsa04020", comp$elemIDs[[1]]) # mark first component
    ## End(Not run)

[Package gene2pathway version 1.2.0 Index]